# $Revision: 1.12 $, $Date: 2007/03/12 00:16:52 $
%define		dictname vietanh
Summary:	Vietnamese-English dictionary for dictd
Summary(pl.UTF-8):	Słownik wietnamsko-angielski dla dictd
Name:		dict-%{dictname}
Version:	1.0
Release:	4
License:	GPL (?)
Group:		Applications/Dictionaries
Source0:	http://vietlug.sourceforge.net/download/emacs/%{dictname}.index
# Source0-md5:	bf0436710baba2be46e6d8177409cac7
Source1:	http://vietlug.sourceforge.net/download/emacs/%{dictname}.telex.dz
# Source1-md5:	4a4a9f37916d3db0d4ca3ab0e7381927
URL:		http://vietlug.sourceforge.net/
Requires:	%{_sysconfdir}/dictd
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	dictd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vietnamese-English dictionary for dictd.

%description -l pl.UTF-8
Słownik wietnamsko-angielski dla dictd.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd,%{_sysconfdir}/dictd}

install %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}/dictd
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/dictd/%{dictname}.dict.dz

dictprefix=%{_datadir}/dictd/%{dictname}
echo "# Vietnamese-English dictionary
database %{dictname} {
	data  \"$dictprefix.dict.dz\"
	index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}.dictconf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q dictd restart

%postun
if [ "$1" = 0 ]; then
	%service -q dictd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dictd/%{dictname}.dictconf
%{_datadir}/dictd/%{dictname}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dict-vietanh.spec,v $
Revision 1.12  2007/03/12 00:16:52  glen
- rel 4 (use %service)

Revision 1.11  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.9  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.8  2004/08/19 15:51:15  averne
- rel++

Revision 1.7  2003/11/23 03:12:46  undefine
- release 2 to rebuild with ac

Revision 1.6  2003/05/28 12:58:50  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:46:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/02/11 11:54:15  qboosh
- empty %prep is sufficient for builder

Revision 1.3  2003/02/09 20:26:33  kloczek
- s/%setup -C/%setup -q -T -c/

Revision 1.2  2003/02/09 19:57:11  kloczek
- added missing %prep section (neccessary for builder script).

Revision 1.1  2003/02/08 21:30:18  gotar
- initial PLD release
